Revise (cancel) recurrence request (Pix Automático)
curl --request PATCH \
--url https://spi.sandbox.lerian.net/api/v1/brcode/solicrec/{idSolicRec} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "CANCELADA"
}
'import requests
url = "https://spi.sandbox.lerian.net/api/v1/brcode/solicrec/{idSolicRec}"
payload = { "status": "CANCELADA" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'CANCELADA'})
};
fetch('https://spi.sandbox.lerian.net/api/v1/brcode/solicrec/{idSolicRec}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"calendario": {
"dataExpiracaoSolicitacao": "2023-11-07T05:31:56Z"
},
"destinatario": {
"conta": "<string>",
"ispbParticipante": "<string>",
"agencia": "<string>",
"cnpj": "<string>",
"cpf": "<string>"
},
"idRec": "<string>",
"idSolicRec": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Revise (cancel) recurrence request (Pix Automático)
Cancels a request by its idSolicRec (target status CANCELADA). Pix API PATCH /solicrec/.
PATCH
/
api
/
v1
/
brcode
/
solicrec
/
{idSolicRec}
Revise (cancel) recurrence request (Pix Automático)
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Identificador da solicitação [a-zA-Z0-9]{29}.
Pattern:
^[a-zA-Z0-9]{29}$Body
application/json
Status alvo da revisão (apenas CANCELADA).
Available options:
CANCELADA Example:
"CANCELADA"
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[a-zA-Z0-9]{29}$Identificador da solicitação.
Pattern:
^[a-zA-Z0-9]{29}$Available options:
CRIADA, ENVIADA, RECEBIDA, REJEITADA, ACEITA, EXPIRADA, CANCELADA Was this page helpful?
⌘I

